package net.java.dev.fwutil.demoapp;

import java.awt.Component;

import javax.swing.JMenuBar;

import net.java.dev.fwutil.Labels;
import net.java.dev.fwutil.LogUI;
import net.java.dev.fwutil.Restartable;
import net.java.dev.fwutil.gui.BMainWindow;
import net.java.dev.fwutil.gui.BMemInfo;
import net.java.dev.hvlayout.FormUI;
//import net.java.dev.hvlayout.HVProps;
import net.java.dev.hvlayout.HVProps;

public class DMainWindow extends BMainWindow {

	private static final long serialVersionUID = -7070978028950413171L;

	public DMainWindow(Restartable mainRestart, Component owner) {
		super(mainRestart, owner);
		
	}
	
	// Uncomment to disable "Close window/exit app" questions.
	//protected boolean closeAllowed() { return true; }

	protected void buildWindow() {

		mainPanel.add(FormUI.getTextArea(Labels.get("Welcome"), null));
		Component filler = FormUI.getCanvasLine();
		filler.setMaximumSize(HVProps.screenSize);
		mainPanel.add(filler);
		addStatusBar();
		imainMenu = new DMainMenu(this);
		setJMenuBar((JMenuBar)imainMenu);
		if (loadWindowIcon(this, "resources/fw3.png")) {
			BMemInfo.windowIconFile = "resources/fw.png";
			loadWindowIcon(LogUI.getInstance(), "resources/fw2.png");
		}
	}
}
