package net.java.dev.fwutil.pf;

import java.io.File;
import java.io.IOException;

public class PathFinderLoader {

	public static void main(String[] args) {

		System.out.println("Loading Path Finder jars ...");
		try {
			File tdir = new File(System.getProperty("java.io.tmpdir") + File.separator + SysJarLoader.TempDirName);
			if (!tdir.exists() && !tdir.mkdir()) throw new IOException("Could not create temp-dir " + tdir.getAbsolutePath());
			SysJarLoader.addJarResource("resources/fwutil.jar");
			PathFinder.main(args);
		} catch (Exception e) {
			System.err.println("Failed to load required resource(s) from executable jar.");
			e.printStackTrace();
		}
	}

}
